Unit fgmnb3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure fgmnb3r(var X :Array of Real; var G :Array of Real; GE :Real;
                I0 :Integer);

implementation

procedure fgmnb3r(var X :Array of Real; var G :Array of Real; GE :Real;
                I0 :Integer);
begin
G[0] := -400.0*X[0]*(X[1]-IntPower(X[0],2))-2.0*(1.0-X[0]);
G[1] := 200.0*(X[1]-IntPower(X[0],2))+20.2*(X[1]-1.0)+19.8*(X[3]-1.0);
G[2] := -360.0*X[2]*(X[3]-IntPower(X[2],2))-2.0*(1-X[2]);
G[3] := 180.0*(X[3]-IntPower(X[2],2))+20.2*(X[3]-1.0)+19.8*(X[1]-1.0);
end;

end.
