Unit tmnb3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB3R_p, FGMNB3R_p, MNB3R_p;

function tmnb3r: String;

implementation

function tmnb3r: String;
var
M,J,IERR,KOUNT :Integer;
EPS,EST,F :Real;
X :Array [0..3] of Real;
G :Array [0..3] of Real;
H :Array [0..7] of Real;
const
N :Integer = 4;
LIMIT :Integer = 100;
label
_100;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
X[0] := -3.0;
X[1] := -1.0;
X[2] := -3.0;
X[3] := -1.0;
EPS := 0.1E-10;
EST := 0.0;
M := 2*N;
MNB3R(N,M,X,F,G,EST,EPS,LIMIT,IERR,H,KOUNT
     ,FMNB3R,FGMNB3R);
Result := Result + Format('%s',['  IERR = ']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',['      F = ']);
Result := Result + Format('%20.16f ',[F]) + #$0D#$0A;
for J:=1 to N do
 begin
  Result := Result + Format('%s',['  X(']);
  Result := Result + Format('%2d ',[J]);
  Result := Result + Format('%s',[') = ']);
  Result := Result + Format('%20.16f ',[X[J-1]]) + #$0D#$0A;
_100:
 end;
Result := Result + Format('%s',['  TEPA - ']);
Result := Result + Format('%5d ',[KOUNT]) + #$0D#$0A;
UtRes('tmnb3r',Result);  {     tmnb3r.res }
exit;
end;

end.
